package cn.wisenergy.mapper;

import cn.wisenergy.model.app.WorkCollect;
import cn.wisenergy.model.dto.CalendarDto;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author chenqi
 * @since 2021-01-19
 */
public interface WorkCollectMapper extends BaseMapper<WorkCollect> {

    /**
     * 获取用户当月的填报信息
     * @param userId 用户id
     * @param workMonth 日期
     * @return 自定义dto
     */
    List<CalendarDto> getWorkMonth(@Param("userId") Integer userId,@Param("workMonth") Date workMonth);

    /**
     * 插入一条记录
     * @param workCollect 实体类
     * @return 插入成功的条数
     */
    int insertWorkCollect(WorkCollect workCollect);

    /**
     * 根据工单id 修改当日填报状态和工时
     * @param id 工单id
     * @param status 状态
     * @param totalTime 工时
     * @return 修改成功的条数
     */
    int updateStatusOrTotalTime(@Param("id") Integer id,@Param("status") Integer status,@Param("totalTime") Integer totalTime);
}
